/* src/nickserv.c - Diverses commandes sur le module nickserv
 * Copyright (C) 2002-2003 Inter System
 *
 * contact: Progs@Inter-System.Net
 *          Cesar@Inter-System.Net
 *          kouak@kouak.org
 * site web: http://coderz.inter-system.net
 *
 * Services pour serveur IRC. Support sur IrcProgs et IrCoderZ
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <main.h>
#include <unistd.h>
#include <stdarg.h>
#include <ctype.h>

extern const char HIDDEN_HOST[];
extern const char *network;
extern const char *mailprog;
extern const int kill_interval;
extern int premiere;

#ifdef HAVE_VOTE
extern const int vote_nbprop, vote_actif;
extern const struct votes vote[];
#endif

int register_user(aNick *, aChan *, int, char **);
int drop_user(aNick *, aChan *, int, char **);
int user_set(aNick *, aChan *, int, char **);
int oubli_pass(aNick *, aChan *, int, char **);
int ns_login(aNick *, aChan *, int, char **);
int myaccess(aNick *, aChan *, int, char **);
int deauth(aNick *, aChan *, int, char **);
int recover(aNick *, aChan *, int, char **);
